<?php
use GDText\Box;
use GDText\Color;

function gdTextImage($utf8str, $filename, $format = 'jpg') {
    $im = imagecreatetruecolor(1024, 1840);
    $backgroundColor = imagecolorallocate($im, 255, 255, 255);
    imagefill($im, 0, 0, $backgroundColor);

    $box = new Box($im);
    $box->setFontFace(__dir__ . '/fonts/iran.ttf');
    $box->setFontSize(22);
    $box->setFontColor(new Color(0, 0, 0));
    $box->setBox(15, 20, 980, 1400);
    $box->setTextAlign('right', 'top');
    $box->draw(gdText_persian_log2vis($utf8str));

    if ($format == 'png') {
        imagepng($im, $filename, 9);
    } else {
        imagejpeg($im, $filename, 100);
    }
}

function gdText_persian_log2vis($str) {
    $bidi = new bidi();
    $newLine = '';
    $explode = explode(' ', $str);
    $newLine = '';
    for ($i = count($explode) - 1; $i >= 0; $i--) {
        $newLine .= ' ' . $explode[$i];
    }

    $str = $newLine;

    $text = explode("\n", $str);

    $str = array();
    $str1 = array();

    foreach ($text as $line) {
        $chars = $bidi->utf8Bidi($bidi->UTF8StringToArray($line), 'R');
        $line = '';
        foreach ($chars as $char) {
            $line .= $bidi->unichr($char);
        }

        $str[] = $line;
    }

    for ($i = count($str) - 1; $i >= 0; $i--) {
        $str1[] = $str[$i];
    }

    return implode("\n", $str1);
}

function strlen_utf8($str) {
    return mb_strlen($str, 'UTF8');
}
?>